Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=vancouver&country_abbreviation=ca&for_rent_eq=true&page=1&province_abbreviation=bc&results_per_page=3&select=address,estimate_rent_monthly,bedroom_total,bathroom_total,property_type,interior_sq_m,estimate_days_on_market_until_rented"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'vancouver');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('for_rent_eq', 'true');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'bc');
url.searchParams.set('results_per_page', '3');
url.searchParams.set('select', 'address,estimate_rent_monthly,bedroom_total,bathroom_total,property_type,interior_sq_m,estimate_days_on_market_until_rented');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 1.5899999,
"data": [
{
"address": "1208 Burnaby Street",
"bathroom_total": 1,
"bedroom_total": 1,
"estimate_days_on_market_until_rented": 47,
"estimate_rent_monthly": 2431,
"interior_sq_m": 60.944393,
"property_id": "70091453eef16eb4",
"property_type": "House"
},
{
"address": "1252 Hornby Street",
"bathroom_total": 2,
"bedroom_total": 3,
"estimate_days_on_market_until_rented": 47,
"estimate_rent_monthly": 3838,
"interior_sq_m": 71.721146,
"property_id": "8fdeb293b81b652a",
"property_type": "House"
},
{
"address": "833 Homer Street",
"bathroom_total": 2,
"bedroom_total": 3,
"estimate_days_on_market_until_rented": 47,
"estimate_rent_monthly": 3956,
"interior_sq_m": 108.78946,
"property_id": "a4198e14180aaac0",
"property_type": "House"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": false,
"has_previous_page": false,
"page_total": 1
},
"price_quote": false,
"result_total": 3,
"time_ms": 18,
"ui_info": {
"city": "Vancouver",
"city_id": "3d4b9ab2229768be",
"city_link": "ca/bc/vancouver",
"city_slug": "vancouver",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "British Columbia",
"province_abbreviation": "BC",
"province_abbreviation_id": "84b27e64bc119a2",
"province_abbreviation_link": "ca/bc",
"province_slug": "british_columbia"
}
}